### Property

# WebKit2 WebView:automation-presentation-type

since: 2.28

#### Declaration

    property automation-presentation-type: WebKit2.AutomationBrowsingContextPresentation [ read, write, construct-only ]

#### Description [src]

The `WebKitAutomationBrowsingContextPresentation` of `WebKitWebView`. This should only be used when creating a new `WebKitWebView` as a response to `WebKitAutomationSession::create-web-view` signal request. If the new WebView was added to a new tab of current browsing context window `WEBKIT_AUTOMATION_BROWSING_CONTEXT_PRESENTATION_TAB` should be used.

Type:`WebKitAutomationBrowsingContextPresentation`

Available since: 2.28

Default value | WEBKIT_AUTOMATION_BROWSING_CONTEXT_PRESENTATION_WINDOW
Getter method | `webkit_web_view_get_automation_presentation_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes